LogisticRegression (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class LogisticRegression

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.LogisticRegression

-     public class LogisticRegression
      extends StatModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BATCH`
    `static int` | `MINI_BATCH`
    `static int` | `REG_DISABLE`
    `static int` | `REG_L1`
    `static int` | `REG_L2`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LogisticRegression(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogisticRegression` | `__fromPtr__(long addr)`
    `static LogisticRegression` | `create()`
    `protected void` | `finalize()`
    `Mat` | `get_learnt_thetas()`
    `int` | `getIterations()`
    `double` | `getLearningRate()`
    `int` | `getMiniBatchSize()`
    `int` | `getRegularization()`
    `TermCriteria` | `getTermCriteria()`
    `int` | `getTrainMethod()`
    `static LogisticRegression` | `load(java.lang.String filepath)`
    `static LogisticRegression` | `load(java.lang.String filepath, java.lang.String nodeName)`
    `float` | `predict(Mat samples)`
    `float` | `predict(Mat samples, Mat results, int flags)`
    `void` | `setIterations(int val)`
    `void` | `setLearningRate(double val)`
    `void` | `setMiniBatchSize(int val)`
    `void` | `setRegularization(int val)`
    `void` | `setTermCriteria(TermCriteria val)`
    `void` | `setTrainMethod(int val)`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REG_DISABLE

          public static final int REG_DISABLE

      See Also:
        Constant Field Values

    - #### REG_L1

          public static final int REG_L1

      See Also:
        Constant Field Values

    - #### REG_L2

          public static final int REG_L2

      See Also:
        Constant Field Values

    - #### BATCH

          public static final int BATCH

      See Also:
        Constant Field Values

    - #### MINI_BATCH

          public static final int MINI_BATCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogisticRegression

          protected LogisticRegression(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static LogisticRegression __fromPtr__(long addr)

    - #### get_learnt_thetas

          public Mat get_learnt_thetas()

    - #### create

          public static LogisticRegression create()

    - #### load

          public static LogisticRegression load(java.lang.String filepath,
                                                java.lang.String nodeName)

    - #### load

          public static LogisticRegression load(java.lang.String filepath)

    - #### getTermCriteria

          public TermCriteria getTermCriteria()

    - #### getLearningRate

          public double getLearningRate()

    - #### predict

          public float predict(Mat samples,
                               Mat results,
                               int flags)

      Overrides:
        `predict` in class `StatModel`

    - #### predict

          public float predict(Mat samples)

      Overrides:
        `predict` in class `StatModel`

    - #### getIterations

          public int getIterations()

    - #### getMiniBatchSize

          public int getMiniBatchSize()

    - #### getRegularization

          public int getRegularization()

    - #### getTrainMethod

          public int getTrainMethod()

    - #### setIterations

          public void setIterations(int val)

    - #### setLearningRate

          public void setLearningRate(double val)

    - #### setMiniBatchSize

          public void setMiniBatchSize(int val)

    - #### setRegularization

          public void setRegularization(int val)

    - #### setTermCriteria

          public void setTermCriteria(TermCriteria val)

    - #### setTrainMethod

          public void setTrainMethod(int val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `StatModel`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown